org.apache.lucene.search.similarities

## Class Similarity.SimScorer

- java.lang.Object
- - org.apache.lucene.search.similarities.Similarity.SimScorer

Enclosing class:
  Similarity

    public abstract static class Similarity.SimScorer
    extends Object

API for scoring "sloppy" queries such as `TermQuery`, `SpanQuery`, and `PhraseQuery`.

### Constructor Summary

Constructors
Constructor and Description
`SimScorer()` Sole constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract float` `computePayloadFactor(int doc, int start, int end, BytesRef payload)` Deprecated.
`abstract float` `computeSlopFactor(int distance)` Deprecated.
`Explanation` `explain(int doc, Explanation freq)` Explain the score for a single document
`abstract float` `score(int doc, float freq)` Score a single document

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimScorer

    public SimScorer()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### score

    public abstract float score(int doc,
                                float freq)
                         throws IOException

Score a single document

Parameters:
  `doc` - document id within the inverted index segment
  `freq` - sloppy term frequency
Returns:
  document's score
Throws:
  `IOException`

#### computeSlopFactor

    @Deprecated
    public abstract float computeSlopFactor(int distance)

Deprecated.
Computes the amount of a sloppy phrase match, based on an edit distance.

#### computePayloadFactor

    @Deprecated
    public abstract float computePayloadFactor(int doc,
                                                           int start,
                                                           int end,
                                                           BytesRef payload)

Deprecated.
Calculate a scoring factor based on the data in the payload.

#### explain

    public Explanation explain(int doc,
                               Explanation freq)
                        throws IOException

Explain the score for a single document

Parameters:
  `doc` - document id within the inverted index segment
  `freq` - Explanation of how the sloppy term frequency was computed
Returns:
  document's score
Throws:
  `IOException`